BLKID(8)

BEZEICHNUNG
blkid - Blockgeräteattribute ermitteln/ausgeben

ÜBERSICHT

blkid --label Bezeichner | --uuid UUID

blkid [--no-encoding --garbage-collect --list-one --cache-file Datei] [--output Format] [--match-tag Markierung] [--match-token NAME=Wert] [Gerät …]

blkid --probe [--offset Versatz] [--output Format] [--size Größe] [--match-tag Markierung] [--match-types Liste] [--usages Liste] [--no-part-details] Gerät …

blkid --info [--output Format] [--match-tag Markierung] Gerät …

BESCHREIBUNG

Das Programm blkid ist eine Befehlszeilenschnittstelle zur Arbeit mit der Bibliothek libblkid(3). Es kann die Art des Inhalts (z.B. Dateisystem oder Auslagerung) bestimmen, den ein Blockgerät enthält und auch die Attribute (Merkmale, NAME=Wert-Paare) aus den Metadaten des Inhalts (z.B. die Felder LABEL oder UUID).

Es wird empfohlen, den Befehl lsblk(8) oder »lsblk --fs« zu verwenden, um einen Überblick über Dateisysteme oder findmnt(8) , um in einem bereits eingehängten Dateisystem zu suchen, zu verwenden.

    lsblk(8) stellt mehr Informationen, bessere Steuerung der Ausgabeformatierung, eine einfachere Verwendung in Skripten bereit und benötigt keine Root-Rechte, um die eigentlichen Informationen zu erhalten. blkid liest Informationen direkt aus Geräten und für von Root verschiedene Benutzer liefert es zwischengespeicherte, nicht geprüfte Informationen zurück. blkid ist hauptsächlich für Systemdienste und zum Testen der Funktionalität von libblkid(3) gedacht.

Falls Gerät angegeben ist, werden nur die Merkmale dieses Geräts angezeigt. Es ist möglich, auf der Befehlszeile mehrere Argumente Gerät anzugeben. Falls keines angegeben ist, werden alle partitionierten oder unpartitionierten Geräte, die in /proc/partitions auftauchen, angezeigt, falls sie erkannt werden.

blkid hat zwei Hauptbetriebsarten: Suche nach einem Gerät mit einem bestimmten NAME=Wert-Paar oder Anzeige von NAME=Wert-Paaren für ein oder mehrere Geräte.

Aus Sicherheitsgründen ignoriert blkid ohne Rückmeldungen alle Geräte, bei denen das Untersuchungsergebnis nicht eindeutig ist (mehrere, kollidierende Dateisysteme wurden erkannt). Der systemnahe Untersuchungsmodus (-p) stellt in diesem Fall weitere Informationen und zusätzliche Exit-Status bereit. Es wird empfohlen, wipefs(8) zu verwenden, um einen detaillierteren Überblick zu erhalten und veraltetes Zeug (magische Zeichenketten) von dem Gerät zu löschen.

OPTIONEN

Die Argumente Größe und Versatz können von multiplikativen Endungen wie KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB (das »iB« ist optional, z.B. hat »K« die gleiche Bedeutung wie »KiB«) oder den Endungen KB (=1000), MB (=1000*1000) und so weiter für GB, TB, PB, EB, ZB und YB gefolgt werden.

-c, --cache-file Zwischenspeicherdatei
    liest aus Zwischenspeicherdatei statt aus der Standardzwischenspeicherdatei (siehe den Abschnitt KONFIGURATIONSDATEI für weitere Details). Falls Sie mit einem sauberen Zwischenspeicher beginnen möchten (d.h. keine Geräte berichtet werden sollen, die früher eingelesen wurden aber nicht notwendigerweise derzeit verfügbar sind), geben Sie /dev/null an.

-d, --no-encoding
    kodiert nicht druckbare Zeichen nicht. Standardmäßig werden die nicht druckbaren Zeichen durch die Notation ^ und M- kodiert. Beachten Sie, dass das Ausgabeformat --output udev eine andere Kodierung verwendet, die nicht deaktiviert werden kann.

-D, --no-part-details
    gibt im systemnahen Untersuchungsmodus keine Informationen (PART_ENTRY_*-Markierungen) aus der Partitionstabelle aus.

-g, --garbage-collect
    führt einen Durchlauf der automatischen Speicherbereinigung (Garbage Collection) durch und entfernt Geräte, die nicht mehr existieren.

-H, --hint Einstellung
    setzt einen Prüfvorschlag. Die Vorschläge sind eine optionale Möglichkeit, die Prüffunktionen dazu zu zwingen, beispielsweise einen anderen Ort zu überprüfen. Derzeit wird »session_offset=Nummer« unterstützt, um den Sitzungsversatz bei UDF mit mehreren Sitzungen zu setzen.

-i, --info
    zeigt Informationen über E/A-Begrenzungen an (d.h. die E/A-Topologie). Das Ausgabeformat »export« wird automatisch aktiviert. Diese Option kann zusammen mit der Option --probe verwandt werden.

-k, --list-filesystems
    listet alle bekannten Dateisysteme und RAIDs auf und beendet das Programm.

-l, --list-one
    sucht nur nach Geräten, die auf das mit der Option --match-token angegebene Suchmuster passen. Falls mehrere Geräte auf den Suchparameter passen, wird das Gerät mit der höchsten Priorität zurückgeliefert oder das erste Gerät mit der angegebenen Priorität (beachten Sie jedoch die Anmerkungen zu Udev unten). Gerätetypen, in Reihenfolge absteigender Priorität: Device Mapper, EVMS, LVM, MD und schließlich reguläre Blockgeräte. Falls diese Option nicht angegeben ist, wird blkid alle Geräte, die auf das angegebene Suchmuster passen, ausgeben.

    Diese Option zwingt blkid, Udev zu nutzen, wenn es in --match-token für BEZEICHNER- oder UUID-Merkmale verwendet wird. Die Absicht ist, dass die Ausgabe auf Systemen, welche die gleiche Markierung für mehrere Geräte verwenden, konsistent zu den Ausgaben anderer Dienstprogramme (wie beispielsweise mount(8) usw.) ist.

-L, --label Bezeichnung
    schlägt das Gerät nach, das diesen Dateisystem-Bezeichner verwendet. Dies ist mit --list-one --output device --match-token LABEL=Bezeichner identisch. Die Nachschlagemethode kann /dev/disk/by-label-udev-Symlinks zuverlässig verwenden (abhängig von einer Einstellung in /etc/blkid.conf). Vermeiden Sie die direkte Verwendung der Symlinks. Es ist nicht zuverlässig, die Symlinks ohne Prüfung zu verwenden. Die Option --label funktioniert auf Systemen mit und ohne Udev.

    Unglücklicherweise verwendet das ursprüngliche blkid(8) aus den E2fsprogs die Option -L als Synonym für -o list. Zur besseren Portabilität verwenden Sie -l -o device -t LABEL=Bezeichner und -o list statt der Option -L in Ihren Skripten.

-n, --match-types Liste
    beschränkt die Prüffunktionen auf die (durch Kommata getrennten) angegebene Liste der Superblocktypen (Namen). Den Listeneinträgen kann »no« vorangestellt werden, um die Typen festzulegen, die ignoriert werden sollen. Beispielsweise prüft

    blkid --probe --match-types vfat,ext3,ext4 /dev/sda1

    auf Vfat, Ext3- und Ext4-Dateisysteme und

    blkid --probe --match-types nominix /dev/sda1

    prüft auf alle unterstützten Formate außer Minix-Dateisysteme. Diese Option ist nur mit --probe zusammen sinnvoll.

-o, --output Format
    verwendet das angegebene Ausgabeformat. Beachten Sie, dass die Reihenfolge der Variablen und Geräte nicht festgelegt ist. Siehe auch die Option -s. Folgende Werte kann der Parameter Format annehmen:

    full
        alle Markierungen ausgeben (Vorgabe)

    value
        den Wert der Markierungen ausgeben

    list
        gibt die Geräte in einem benutzerfreundlichen Format aus; dieses Ausgabeformat wird bei systemnaher Untersuchung (--probe oder --info) nicht unterstützt.

        Dieses Ausgabeformat ist zugunsten des Befehls lsblk(8) VERALTET.

    device
        gibt nur die Gerätenamen aus; dieses Ausgabeformat wird für die Optionen --label und --uuid immer aktiviert.

    udev
        gibt key="Wert"-Paare für den leichten Import in die Udev-Umgebung aus; den Schlüsseln wird ID_FS_ oder ID_PART_ vorangestellt. Der Wert kann angepasst werden, um sicher für die Udev-Umgebung zu sein. Erlaubt ist reines ASCII, hex-maskiertes und gültiges UTF-8; alles sonst (einschließlich Leerzeichen) wird durch »_« ersetzt. Die Schlüssel mit der Endung _ENC verwenden hex-Maskierung für unsichere Zeichen.

        Die Udev-Ausgabe liefert die ID_FS_AMBIVALENT-Markierung, falls weitere Superblöcke erkannt wurden. Außerdem werden für alle, auch leere Partitionen, ID_PART_ENTRY_*-Markierungen zurückgeliefert.

        Dieses Ausgabeformat ist VERALTET.

    export
        gibt Schlüssel=Wert-Paare zum leichten Import in die Umgebung aus; dieses Ausgabeformat wird immer aktiviert, wenn E/A-Begrenzungen (Option --info) angefordert werden.

        Die nichtdruckbaren Zeichen werden mit der Notation ^ und M- kodiert und alle möglicherweise unsicheren Zeichen werden maskiert.

-O, --offset Versatz
    untersucht an dem übergebenen Versatz (nur nützlich mit --probe). Diese Option kann mit der Option --info zusammen verwandt werden.

-p, --probe
    schaltet auf systemnahe Superblockuntersuchung um (unter Umgehung des Zwischenspeichers).

    Beachten Sie, dass systemnahe Untersuchungen auch Informationen über Partitionstabellen (PART_ENTRY_*-Markierung) zurückliefern. Die Markierungsnamen, die von systemnaher Untersuchung zurückgeliefert werden, basieren auf den intern von libblkid benutzten Namen und können sich von dem unterscheiden, was beim Aufruf mit --probe gemeldet wird (zum Beispiel PART_ENTRY_UUID= vs PARTUUID=). Siehe auch --no-part-details.

-s, --match-tag Markierung
    zeigt für jedes (angegebene) Gerät nur die Markierungen, die auf Markierung passen, an. Es ist möglich, mehrere Optionen --match-tag anzugeben. Falls keine Markierung angegeben ist, dann werden alle Merkmale für alle (angegebenen) Geräte angezeigt. Um nur den Zwischenspeicher zu aktualisieren, ohne Merkmale anzuzeigen, verwenden Sie --match-tag none ohne weitere Optionen.

-S, --size Größe
    setzt die Größe des Geräts/der Datei außer Kraft (nur mit --probe nützlich).

-t, --match-token NAME=Wert
    sucht nach Blockgeräten mit Merkmalen namens NAME, die den Wert Wert haben und zeigt alle gefundenen Geräte an. Typische Werte für NAME sind u.A. TYPE, LABEL und UUID. Falls keine Geräte auf der Befehlszeile festgelegt sind werden alle Blockgeräte durchsucht; andernfalls werden nur die angegeben Geräte durchsucht.

-u, --usages Liste
    beschränkt die Untersuchungsfunktion auf die angegebene (Komma-getrennte) Liste der »Benutzungsarten«. Unterstützte Benutzungsarten sind: filesystem, raid, crypto und other. Den Listeneinträgen kann »no« vorangestellt werden, um die zu ignorierenden Benutzungsarten festzulegen. Beispielsweise untersucht

    blkid --probe --usages filesystem,other /dev/sda1

    auf alle Dateisysteme und andere (z.B. Auslagerungs-)Formate und

    blkid --probe --usages noraid /dev/sda1

    untersucht auf alle unterstützten Formate außer RAID. Diese Option ist nur im Zusammenspiel mit --probe nützlich.

-U, --uuid UUID
    schaut nach Geräten, die diese Dateisystem-UUID verwenden. Für weitere Details siehe die Option --label.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

EXIT-STATUS

Falls das angegebene Gerät oder das durch das festgelegte Merkmal adressierte Gerät (Option --match-token) gefunden wurde und es möglich war, Informationen über das Gerät zu sammeln, wird ein Exit-Status 0 zurückgegeben. Beachten Sie, dass die Option --match-tag die Ausgabemarkierungen filtert, aber nicht den Exit-Status beeinflusst.

Falls das festgelegte Merkmal nicht gefunden wurde oder kein (festgelegtes) Gerät identifiziert wurde oder es nicht möglich war, Informationen zu den Gerätebezeichnern oder Geräteinhalten zu ermitteln, wird ein Exit-Status 2 zurückgeliefert.

Bei Benutzungs- oder anderen Fehlern wird ein Exit-Status von 4 zurückgeliefert.

Wenn ein unklares Untersuchungsergebnis durch einen systemnahen Untersuchungsmodus erkannt wurde (-p), wird 8 als Exit-Status zurückgeliefert.

KONFIGURATIONSDATEI

Der Standardort der Konfigurationsdatei /etc/blkid.conf kann mit der Umgebungsvariablen BLKID_CONF außer Kraft gesetzt werden. Die folgenden Optionen steuern die Bibliothek libblkid:

SEND_UEVENT=<yes|not>
    Sendet Uevent, wenn der Symlink /dev/disk/by-{label,uuid,partuuid,partlabel}/ nicht auf LABEL, UUID, PARTUUID oder PARTLABEL auf dem Gerät passt. Vorgabe ist »yes«.

CACHE_FILE=<Pfad>
    Setzt den Standardort der Zwischenspeicherdatei außer Kraft. Diese Einstellung kann durch die Umgebungsvariable BLKID_FILE außer Kraft gesetzt werden. Vorgabe ist /run/blkid/blkid.tab oder /etc/blkid.tab auf Systemen ohne /run-Verzeichnis.

EVALUATE=<Methoden>
    Definiert die Evaluationsmethoden LABEL und UUID. Derzeit unterstützt Libblkid die Methoden »udev« und »scan«. In einer Kommata-getrennten Liste dürfen mehr als eine Methode angegeben werden. Vorgabe ist »udev,scan«. Die Methode »udev« verwendet /dev/disk/by-*-Symlinks von Udev und die Methode »scan« prüft alle Belockgeräte aus der Datei /proc/partitions.

UMGEBUNGSVARIABLEN

Setzen von LIBBLKID_DEBUG=all aktiviert die Fehlersuchausgabe.

AUTOREN

blkid wurde von Andreas Dilger für libblkid geschrieben und von Theodore Ts'o und Karel Zak verbessert.

SIEHE AUCH

libblkid(3), findfs(8), lsblk(8), wipefs(8)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl blkid ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).